Currency Conversion
curl --request POST \
--url https://api.paytring.com/api/v1/currency/get \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"hash": "<string>",
"from": "<string>",
"to": "<string>"
}
'import requests
url = "https://api.paytring.com/api/v1/currency/get"
payload = {
"key": "<string>",
"hash": "<string>",
"from": "<string>",
"to": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({key: '<string>', hash: '<string>', from: '<string>', to: '<string>'})
};
fetch('https://api.paytring.com/api/v1/currency/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"{}""{\n \"status\": false,\n \"error\": {\n \"message\": \"Hash is not verified\",\n \"code\": 204\n }\n}"Merchant Hosted Checkout Payment
Currency Conversion
POST
/
api
/
v1
/
currency
/
get
Currency Conversion
This API is used to convert one currency to another.
Request Body
{
"key": "string", // Merchant key
"hash": "string", // Calculated hash for request validation
"from": "string", // Base currency code
"to": "string" // Target currency code
}
Responses
200 OK
{
"status": true,
"conversion_rate": "number", // Conversion rate between the currencies
"converted_amount": "number" // Converted amount
}
400 Bad Request
{
"status": false,
"error": {
"message": "string", // Error message
"code": 400 // Error code
}
}
Body
application/json
Response
200
The response is of type object.
⌘I

